Download it now!
Bug 132797 - NB can customize if visible=true/false is available
Summary: NB can customize if visible=true/false is available
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 101513
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-07 07:09 UTC by andreas_k
Modified: 2020-08-31 08:20 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Uwu (2.49 KB, text/html)
2020-08-01 07:34 UTC, Reyy kakeru
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2020-05-07 07:09:26 UTC
Since 2019 GSOC project it's possible to customize NB. There is an gui for it in Tools -> customize -> Notebookbar tab.

It work that way that if you customize the NB the origin notebookbar.ui file will be copied to the user directory where than the visibility can be switched from true to false and the other way around.

Since an glade update visibile=true was removed and now if there is no visibility=true property LibreOffice define it as visible=true. However as the GSOC student switch the visibility property it's not possible to switch true/false cause every time I update the NB with glade all visible=true will be removed.

So would it be possible to update the gsoc code that if there is no property the customize dialog ADD visible=false to the ui file.

I already asked the gsoc student. I'd like to update the notebookbar.ui files for better customization, but this is only usefull if this bug is fixed first, otherwise I will destroy the nb.ui file every time I edit it with glade.
Comment 1 andreas_k 2020-05-07 08:20:25 UTC
code example notebookbar.ui file from writer:

<object class="GtkToolButton" id="File-ExportToPDF">
  <property name="visible">True</property>
  <property name="can_focus">False</property>
  <property name="action_name">.uno:ExportToPDF</property>
  <property name="use_underline">True</property>
</object>

If you open the file with glade, it change the property to

<object class="GtkToolButton" id="File-ExportToPDF">
  <property name="can_focus">False</property>
  <property name="action_name">.uno:ExportToPDF</property>
  <property name="use_underline">True</property>
</object>

and than it can't be edited with Tools -> customize -> Notebookbar tab. The command is visible in the gui you can edit the visibility checkbox, but in the code no new file was generated. I think it's cause the customization code do something like change visible property from True to False but as there is no visible property it didn't work.
Comment 2 andreas_k 2020-05-07 08:21:16 UTC
I switch the importance, cause I can't work on notebookbar improvements (or bugfixes) without fix this bug.
Comment 3 Caolán McNamara 2020-05-07 08:37:31 UTC
I counseled against storing the .uis in the configuration like that. https://lists.freedesktop.org/archives/libreoffice/2019-May/082758.html
Comment 4 Szymon Kłos 2020-05-07 09:17:03 UTC
(In reply to Caolán McNamara from comment #3)
> I counseled against storing the .uis in the configuration like that.
> https://lists.freedesktop.org/archives/libreoffice/2019-May/082758.html

In the configuration we store only pair <widget id>: <visibility true/false>.

Then we use original .ui file and we generate new one in user directory with applied modifications from saved configuration. So we almost copy the file and only change some <property name="visible"> xxx </property> values.
Comment 5 andreas_k 2020-05-12 07:46:06 UTC
and posibility we can fix it anyway?
Comment 6 Reyy kakeru 2020-08-01 07:34:57 UTC Comment hidden (spam)
Comment 7 Xisco Faulí 2020-08-03 15:48:05 UTC
(In reply to andreas_k from comment #5)
> and posibility we can fix it anyway?

Heiko ?
Comment 8 Heiko Tietze 2020-08-04 09:00:40 UTC
(In reply to Xisco Faulí from comment #7)
> (In reply to andreas_k from comment #5)
> > and posibility we can fix it anyway?
> 
> Heiko ?

I'm afraid not me. But NEW, it's a regression IIUC.
Comment 9 andreas_k 2020-08-17 09:40:16 UTC
I can't edit notebookbar files with glade and within the customize dialogue in LibO when this bug didn't get fixed.
Comment 10 Heiko Tietze 2020-08-31 08:18:37 UTC
There are many issue like this. QA upotes the importance transparently based on people on CC, dependencies, and see-also tickets.
Comment 11 andreas_k 2020-08-31 08:20:15 UTC
No problem it block only my work on notebookbars. Compare to other bugs where there is only one bug related this bug is related to more than one bug. However.